=== debian/control ===
Source: ruby-dbi
Section: ruby
Priority: optional
Maintainer: Debian Ruby Extras Maintainers <pkg-ruby-extras-maintainers@lists.alioth.debian.org>
Uploaders: Dmitry Borodaenko <angdraug@debian.org>
Build-Depends: debhelper (>= 7.0.50~), gem2deb (>= 0.2.7~), ruby-deprecated
Standards-Version: 3.9.5
Vcs-Git: git://github.com/erikh/ruby-dbi.git
Vcs-Browser: https://github.com/erikh/ruby-dbi
Homepage: http://www.rubyforge.org/projects/ruby-dbi
XS-Ruby-Versions: all

Package: ruby-dbi
Architecture: all
XB-Ruby-Versions: ${ruby:Versions}
Depends: libjs-jquery,
         ruby | ruby-interpreter,
         ruby-deprecated (>= 3.0~),
         ${misc:Depends},
         ${shlibs:Depends}
Provides: libdbi-ruby
Description: Database Independent Interface for Ruby
 Ruby/DBI is a database independent interface for accessing databases,
 similar to Perl's DBI.
 .
 Database-specific drivers are located in ruby-dbd-* packages.
