=== debian/rules ===
#!/usr/bin/make -f
#export DH_VERBOSE=1
#
# Uncomment to ignore all test failures (but the tests will run anyway)
#export DH_RUBY_IGNORE_TESTS=all
#
# Uncomment to ignore some test failures (but the tests will run anyway).
# Valid values:
#export DH_RUBY_IGNORE_TESTS=ruby1.8 ruby1.9.1 require-rubygems
#
# If you need to specify the .gemspec (eg there is more than one)
#export DH_RUBY_GEMSPEC=gem.gemspec

%:
	dh $@ --buildsystem=ruby --with ruby

override_dh_install:
	dh_install
	find debian/ruby-dbi/ -type d -empty -delete

override_dh_installdocs:
	rdoc --op rdoc --main README \
		--title "Database Independent Interface for Ruby" \
		lib README
	rm -f $(CURDIR)/debian/ruby-dbi/usr/share/doc/ruby-dbi/rdoc/js/jquery.js
	dh_installdocs

override_dh_clean:
	rm -rf rdoc
	dh_clean

override_dh_link:
	# link to jquery.js
	dh_link --package=ruby-dbi usr/share/javascript/jquery/jquery.js \
		usr/share/doc/ruby-dbi/rdoc/js/jquery.js
