=== debian/watch ===
version=3
http://rubygems.org/gems/dbi .*/dbi-(.*).gem
